# $Id: perl-WWW-Yahoo-Movies.spec 6001 2007-11-19 02:02:15Z dag $
# Authority: dries
# Upstream: Michael Stepanov <stepanov,michael$gmail,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name WWW-Yahoo-Movies

Summary: Get Yahoo Movies information
Name: perl-WWW-Yahoo-Movies
Version: 0.04
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WWW-Yahoo-Movies/

Source: http://www.cpan.org/modules/by-module/WWW/WWW-Yahoo-Movies-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 3:5.8.6
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl >= 3:5.8.6

%description
WWW-Yahoo-Movies is OO Perl interface to the Yahoo! Movies.
It allows to retrieve information about movies by its ID Yahoo!
Movies or title.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/WWW/Yahoo/Movies.pm

%changelog
* Mon Jun 18 2007 Dries Verachtert <dries@ulyssis.org> - 0.04-1 #6001
- Updated to release 0.04.

* Wed Jan 03 2007 Dries Verachtert <dries@ulyssis.org> - 0.03-1
- Updated to release 0.03.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.02-1.2
- Rebuild for Fedora Core 5.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.02-1
- Initial package.
